Subject: Re: [patch] bondig - arp_interval with low value => Oops.

From: Jay Vosburgh <[email-masked]>
Date: Tue, 10 Jun 2008 15:30:06 -0700

Jeff Garzik <[email-masked]> wrote:

>Nicolas 2P wrote:
>> When setting arp_interval parameter to a very low value, delta_in_ticks
>> for next arp might become 0, causing an infinite loop.
>>
>> See http://bugzilla.kernel.org/show_bug.cgi?id=10680
>>
>> Same problem for miimon parameter already fixed, but fix might be
>> enhanced, by using msecs_to_jiffies() function.
>>
>> Signed-off-by: Nicolas de Pesloüan <[email-masked]>
>
>I don't see an ACK from Jay in my mbox?
>
>Certainly looks nicer than adding "? : 1" to each of the remaining two
>cases.

	This was accepted a couple of weeks ago; I had to fix a bug in
the patch, so I'd guess you didn't connect them:

commit 5ce0da8f0386b62345312ec8fed31303732f4220
Author: Jay Vosburgh <[email-masked]>
Date:   Sat May 17 21:10:07 2008 -0700

    bonding: Use msecs_to_jiffies, eliminate panic
    
        Convert bonding to use msecs_to_jiffies instead of doing the
    math.  For the ARP monitor, there was an underflow problem that could
    result in an infinite loop.  The miimon already had that worked around,
    but this is cleaner.
    
        Originally by Nicolas de Pesloüan <[email-masked]>
    Jay Vosburgh corrected a math error in the original; Nicolas' original
    commit message is:
    
    When setting arp_interval parameter to a very low value, delta_in_ticks
    for next arp might become 0, causing an infinite loop.
    
    See http://bugzilla.kernel.org/show_bug.cgi?id=10680
    
    Same problem for miimon parameter already fixed, but fix might be
    enhanced, by using msecs_to_jiffies() function.
    
    Signed-off-by: Nicolas de Pesloüan <[email-masked]>
    Signed-off-by: Jay Vosburgh <[email-masked]>
    Signed-off-by: Jeff Garzik <[email-masked]>

	-J

---
	-Jay Vosburgh, IBM Linux Technology Center, [email-masked]